uudoc(1)

NAME
uudoc - Overwrite the specified FILE(s) repeatedly, in order to make it harder for even very expensive hardware probing to recover the data.

SYNOPSIS
uudoc [-f|--force] [-n|--iterations] [-s|--size] [-u ] [--remove] [-v|--verbose] [-x|--exact] [-z|--zero] [--random-source] [-h|--help] [-V|--version] [file]

DESCRIPTION
Overwrite the specified FILE(s) repeatedly, in order to make it harder for even very expensive hardware probing to recover the data.

OPTIONS

-f, --force
    change permissions to allow writing if necessary

-n, --iterations <NUMBER> [default: 3]
    overwrite N times instead of the default (3)

-s, --size <N>
    shred this many bytes (suffixes like K, M, G accepted)

-u  deallocate and remove file after overwriting

--remove[=<HOW>]
    like -u but give control on HOW to delete; See below
    [possible values: unlink, wipe, wipesync]

-v, --verbose
    show progress

-x, --exact
    do not round file sizes up to the next full block; this is the default for non-regular files

-z, --zero
    add a final overwrite with zeros to hide shredding

--random-source
    take random bytes from FILE

-h, --help
    Print help

-V, --version
    Print version

[file]

EXTRA
Examples Overwrite a file: shred {{path/to/file}} Overwrite a file and show progress on the screen: shred {{[-v|--verbose]}} {{path/to/file}} Overwrite a file, leaving zeros instead of random data: shred {{[-z|--zero]}} {{path/to/file}} Overwrite a file a specific number of times: shred {{[-n|--iterations]}} {{25}} {{path/to/file}} Overwrite a file and remove it: shred {{[-u|--remove]}} {{path/to/file}} Overwrite a file 100 times, add a final overwrite with zeros, remove the file after overwriting it and show verbose progress on the screen: shred {{[-vzu|--verbose --zero --remove]}} {{[-n|--iterations]}} 100 {{path/to/file}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0